**** Probit regression to motivate the paper ****

*** Stata  version 16 ***



clear all 
*********

*** set path



cd   "/Users/ko37/Dropbox/Trade War/Paper - Current Version/Replication Files Kevin/"


*** install as needed 

*ssc install outreg2

import delimited "probitdata1928.csv"




*** merge in continent dummies

gen continent=0
replace continent=1 if string_o=="Belize" 
replace continent=1 if string_o=="Canada" 
replace continent=1 if string_o=="Costa Rica" 
replace continent=1 if string_o=="Cuba" 
replace continent=1 if string_o=="Dominican Republic"
replace continent=1 if string_o=="El Salvador" 
replace continent=1 if string_o=="Guatemala" 
replace continent=1 if string_o=="Haiti" 
replace continent=1 if string_o=="Honduras" 
replace continent=1 if string_o=="Jamaica"
replace continent=1 if string_o=="Mexico"
replace continent=1 if string_o=="Nicaragua" 
replace continent=1 if string_o=="Windward Islands" 

replace continent=2 if string_o=="Argentina"
replace continent=2 if string_o=="Bolivia"
replace continent=2 if string_o=="Brazil"
replace continent=2 if string_o=="Chile"
replace continent=2 if string_o=="Colombia"
replace continent=2 if string_o=="Guyana"
replace continent=2 if string_o=="Paraguay"
replace continent=2 if string_o=="Peru"
replace continent=2 if string_o=="Uruguay"
replace continent=2 if string_o=="Venezuela"

replace continent=3 if string_o=="Albania"
replace continent=3 if string_o=="Austria"
replace continent=3 if string_o=="Belgium"
replace continent=3 if string_o=="Bulgaria"
replace continent=3 if string_o=="Cyprus"
replace continent=3 if string_o=="Czechoslovakia"
replace continent=3 if string_o=="Denmark"
replace continent=3 if string_o=="Estonia"
replace continent=3 if string_o=="Finland"
replace continent=3 if string_o=="France"
replace continent=3 if string_o=="Germany"
replace continent=3 if string_o=="Greece"
replace continent=3 if string_o=="Hungary"
replace continent=3 if string_o=="Iceland"
replace continent=3 if string_o=="Ireland"
replace continent=3 if string_o=="Italy"
replace continent=3 if string_o=="Latvia"
replace continent=3 if string_o=="Lithuania"
replace continent=3 if string_o=="Malta"
replace continent=3 if string_o=="Netherlands"
replace continent=3 if string_o=="Norway"
replace continent=3 if string_o=="Poland"
replace continent=3 if string_o=="Portugal"
replace continent=3 if string_o=="Romania"
replace continent=3 if string_o=="Spain"
replace continent=3 if string_o=="Sweden"
replace continent=3 if string_o=="Switzerland"
replace continent=3 if string_o=="United Kingdom"
replace continent=3 if string_o=="Yugoslavia"

replace continent=4 if string_o=="British East Africa"
replace continent=4 if string_o=="British South Africa"
replace continent=4 if string_o=="Congo, Dem. Republic"
replace continent=4 if string_o=="Egypt"
replace continent=4 if string_o=="Gambia"
replace continent=4 if string_o=="Ghana"
replace continent=4 if string_o=="Sierra Leone"
replace continent=4 if string_o=="Tunisia"


replace continent=5 if string_o=="China"
replace continent=5 if string_o=="India"
replace continent=5 if string_o=="Indonesia"
replace continent=5 if string_o=="Japan"
replace continent=5 if string_o=="Philippines"
replace continent=5 if string_o=="SriLanka"
replace continent=5 if string_o=="Thailand"
replace continent=5 if string_o=="Turkey"
replace continent=5 if string_o=="USSR"

replace continent=6 if string_o=="Australia"
replace continent=6 if string_o=="Fiji"
replace continent=6 if string_o=="New Zealand"




**** Check US allies in WW1

gen ally=0
replace ally=1 if string_o=="Armenia"
replace ally=1 if string_o=="Belgium"
replace ally=1 if string_o=="USSR"
replace ally=1 if string_o=="France"
replace ally=1 if string_o=="United Kingdom"
replace ally=1 if string_o=="British East Africa"
replace ally=1 if string_o=="British South Africa"
replace ally=1 if string_o=="Finland"
replace ally=1 if string_o=="New Zealand"
replace ally=1 if string_o=="Australia"
replace ally=1 if string_o=="India"
replace ally=1 if string_o=="Japan"
replace ally=1 if string_o=="Italy"
replace ally=1 if string_o=="Portugal"
replace ally=1 if string_o=="Brazil"
replace ally=1 if string_o=="Greece"
replace ally=1 if string_o=="Thailand"
replace ally=1 if string_o=="Romania"
replace ally=1 if string_o=="Yugoslavia"


tab string_o if ally==1




**** Check countries that had experienced hyperinflation in the 1920s

gen hyperinflation=0

replace hyperinflation=1 if string_o=="Germany"
replace hyperinflation=1 if string_o=="Austria"
replace hyperinflation=1 if string_o=="USSR"
replace hyperinflation=1 if string_o=="Hungary"
replace hyperinflation=1 if string_o=="Poland"



tab string_o if hyperinflation==1

**** add in indebtedness to the US ****

gen indebtedness=0
*** add in  present value of annuities from War Debts article ***
*** The War Debts, Supplement to the Economist, November 12, 1932 ***
***  in million $ ***

replace indebtedness=10 if string_o=="Austria"
replace indebtedness=225 if string_o=="Belgium"
replace indebtedness=92 if string_o=="Czechoslovakia"
replace indebtedness=11 if string_o=="Estonia"
replace indebtedness=7 if string_o=="Finland"
replace indebtedness=1997 if string_o=="France"
replace indebtedness=3788 if string_o=="Great Britain"
replace indebtedness=6 if string_o=="Greece"
replace indebtedness=1.6 if string_o=="Hungary"
replace indebtedness=528 if string_o=="Italy"
replace indebtedness=20 if string_o=="Yugoslavia"
replace indebtedness=5 if string_o=="Latvia"
replace indebtedness=5 if string_o=="Lithuania"
replace indebtedness=147 if string_o=="Poland"
replace indebtedness=35 if string_o=="Romania"


*** scale to match the export_fob data which is in USD using GFD XR

replace indebtedness= indebtedness*1000000


gen lnindebtedness = ln(indebtedness)

*** scale indebtedness  by  exports (GDP not useful since not available for all countries) ***

gen indebtedness_exports = indebtedness/exports_fob


gen indebtedness_dummy=0



replace indebtedness_dummy=1 if string_o=="Austria"
replace indebtedness_dummy=1 if string_o=="Belgium"
replace indebtedness_dummy=1 if string_o=="Czechoslovakia"
replace indebtedness_dummy=1 if string_o=="Estonia"
replace indebtedness_dummy=1 if string_o=="Finland"
replace indebtedness_dummy=1 if string_o=="France"
replace indebtedness_dummy=1 if string_o=="Great Britain"
replace indebtedness_dummy=1 if string_o=="Greece"
replace indebtedness_dummy=1 if string_o=="Hungary"
replace indebtedness_dummy=1 if string_o=="Italy"
replace indebtedness_dummy=1 if string_o=="Yugoslavia"
replace indebtedness_dummy=1 if string_o=="Latvia"
replace indebtedness_dummy=1 if string_o=="Lithuania"
replace indebtedness_dummy=1 if string_o=="Poland"
replace indebtedness_dummy=1 if string_o=="Romania"






replace responder = retaliator==1 | protestor==1

tab string_o if retaliator==1

tab string_o if protestor==1

tab string_o if responder==1



gen tradebalance1928  = exports_fob-imports_cif
gen tradebalance1928_totrade = (exports_fob-imports_cif)/(exports_fob+imports_cif)
gen tradebalanceUSA1928 = exportstousa - importsfromusa
gen tradebananceUSA1928_totrade = (exportstousa - importsfromusa)/(exports_fob+imports_cif)


corr tradebalance tradebalance1928
corr tradebalance_totrade tradebalance1928_totrade
corr tradebalancevsusa tradebalanceUSA1928
corr tradebalancevsusa_totrade tradebananceUSA1928_totrade




gen tradedeficit=0 
replace tradedeficit=1 if tradebalance<0

gen tradedeficitUSA=0
replace tradedeficitUSA=1 if tradebalancevsusa<0


gen interaction = tradebalance_totrade*indebtedness_exports
gen interaction_dummy = tradebalance_totrade*indebtedness_dummy
gen dummy = tradedeficit*indebtedness_dummy
gen interaction_dummyUSA = tradebalancevsusa_totrade*indebtedness_dummy

*save probitdata1928, replace


*** probit regressions - Table 3 ***



probit responder usexportshare   mfn_o polity2 indebtedness_dummy i.continent, vce(robust)

outreg2 using probit_clean.xls, replace drop(i.continent)





probit responder   tradebalance_totrade  mfn_o polity2 indebtedness_dummy i.continent, vce(robust)

outreg2 using probit_clean.xls, append drop(i.continent)





probit responder  tradebalancevsusa_totrade mfn_o polity2 indebtedness_dummy i.continent, vce(robust)

outreg2 using probit_clean.xls, append drop(i.continent)





probit responder usexportshare  tradebalance_totrade tradebalancevsusa_totrade mfn_o polity2 indebtedness_dummy i.continent, vce(robust)

outreg2 using probit_clean.xls, append drop(i.continent)





