*** Product Level Regressions for Trade War paper ***

clear all
clear matrix
clear mata
* set maximum number of variables


set maxvar 30000
set matsize 11000

set type double

* set path - adjust accordingly



cd   "/Users/ko37/Dropbox/Trade War/Paper - Current Version/Replication Files Kevin/"

*load data


use  "mergeddata_q.dta"




keep if code_1=="USA"


tab code_2

keep code_2 year quarter country_2 exports_1 exports_2 exportsGFD_1 exportsGFD_2 sov1938_2 flow pair y_q crisis_2 crisis ukempire_2 frenchempire_2 dutchempire_2 portempire_2 belgianempire_2 italianempire_2  usempire_2 sterling_2 angloirishwar_2 imp_pref_2 italysanctions reichsmark_2 gold_2 retaliator protestor threatener responder nonresponder logflow

 
sort y_q code_2
 
 
 save "Main_q.dta", replace
 
 sum code_2 year quarter country_2 exports_1 exports_2 exportsGFD_1 exportsGFD_2 sov1938_2 flow pair y_q crisis_2 crisis ukempire_2 frenchempire_2 dutchempire_2 portempire_2 belgianempire_2 italianempire_2  usempire_2 sterling_2 angloirishwar_2 imp_pref_2 italysanctions reichsmark_2 gold_2 retaliator protestor threatener responder nonresponder logflow
 
 clear all 
 
*import delimited "usa_product_data_raw.csv"

import delimited "usa_product_data_raw.csv"
 



drop if product_id==.

* rename countries to match the country names from our main dataset
* insert the country codes
* since this dataset represents US exports, coded countries as country_2 (importing countries)

gen country_2="drop"

gen code_2="drop"

replace country_2 ="ARGENTINA" if country=="Argentina"
replace country_2 ="AUSTRIA" if country=="Austria"	
replace country_2 ="BELGIUM AND LUXEMBURG" if country=="Belgium"	
replace country_2 ="BOLIVIA" if country=="Bolivia"	
replace country_2 ="BRAZIL" if country=="Brazil"	
replace country_2 ="BRITISH EAST AFRICA" if country=="British East Africa"	
replace country_2 ="BRITISH EAST INDIES" if country=="British East Indies"	
replace country_2 ="BRITISH EAST INDIES" if country=="British Malaya"	
replace country_2 ="BRITISH EAST INDIES" if country=="British Malaya and Ceylon"	
replace country_2 ="BRITISH OCEANIA" if country=="Australia"	
replace country_2 ="BRITISH OCEANIA" if country=="New Zealand"	
replace country_2 ="SOUTH AFRICA" if country=="British South Africa"
replace country_2 ="BRITISH WEST AFRICA" if country=="British West Africa"	
replace country_2 ="BRITISH WEST AFRICA" if country=="Gold Coast"	
replace country_2 ="BRITISH WEST INDIES" if country=="Bermudas"	
replace country_2 ="BRITISH WEST INDIES" if country=="British Guiana"	
replace country_2 ="BRITISH WEST INDIES" if country=="British West Indies"	
replace country_2 ="BRITISH WEST INDIES" if country=="British West Indies and Bermudas"	
replace country_2 ="BRITISH WEST INDIES" if country=="Jamaica"	
replace country_2 ="BRITISH WEST INDIES" if country=="Other British West Indies and Bermudas"	
replace country_2 ="BRITISH WEST INDIES" if country=="Trinidad and Tobago"	
replace country_2 ="CANADA" if country=="Canada"	
replace country_2 ="CHILE" if country=="Chile"	
replace country_2 ="CHINA" if country=="China"	
replace country_2 ="CHINA" if country=="China, Hong Kong or Kwantung"	
replace country_2 ="CHINA" if country=="China, Hong Kong, and Kwantung"	
replace country_2 ="CHINA" if country=="China, Honk Kong and Kwantung"	
replace country_2 ="COLOMBIA" if country=="Colombia" 	
replace country_2 ="CUBA" if country=="Cuba"	
replace country_2 ="CZECHOSLOVAKIA" if country=="Czechoslovakia"	
replace country_2 ="DENMARK" if country=="Denmark"	
replace country_2 ="DOMINICAN REPUBLIC" if country=="Dominican Republic"	
replace country_2 ="DOMINICAN REPUBLIC" if country=="Dominican republic"		
replace country_2 ="DUTCH EAST INDIES" if country=="Dutch East Indies"	
replace country_2 ="DUTCH EAST INDIES" if country=="Java and Madura"	
replace country_2 ="DUTCH EAST INDIES" if country=="Netherland East Indies"	
replace country_2 ="DUTCH EAST INDIES" if country=="Netherland east Indies"	
replace country_2 ="DUTCH EAST INDIES" if country=="Netherlands East Indies"	
replace country_2 ="DUTCH WEST INDIES" if country=="Dutch West Indies"	
replace country_2 ="DUTCH WEST INDIES" if country=="Netherland West Indies"	
replace country_2 ="ECUADOR" if country=="Ecuador"	
replace country_2 ="EGYPT" if country=="Egypt"	
replace country_2 ="ESTONIA" if country=="Estonia"	
replace country_2 ="FINLAND" if country=="Finland"	
replace country_2 ="FRANCE" if country=="France"	
replace country_2 ="FRENCH EAST INDIES" if country=="French Indo China"	
replace country_2 ="FRENCH EAST INDIES" if country=="French Indo-China"	
replace country_2 ="FRENCH NORTH AFRICA" if country=="Algeria and Tunesia" 	
replace country_2 ="FRENCH NORTH AFRICA" if country=="Algeria and Tunisia"	
replace country_2 ="FRENCH WEST INDIES" if country=="French West Indies"	
replace country_2 ="GERMANY" if country=="Germany"	
replace country_2 ="GREECE" if country=="Greece"		                             
replace country_2 ="HAITI" if country=="Haiti"	
replace country_2 ="HAITI" if country=="Haiti, Republic of"	
replace country_2 ="HONDURAS" if country=="Honduras"	
replace country_2 ="INDIA" if country=="Aden" 	
replace country_2 ="INDIA" if country=="British India"	
replace country_2 ="INDIA" if country=="British india"	
replace country_2 ="INDIA" if country=="Ceylon"	
replace country_2 ="IRAN IRAQ AND AFGHANISTAN" if country=="Persia"	
replace country_2 ="IRELAND" if country=="Irish Free State"	
replace country_2 ="ITALY" if country=="Italy"	
replace country_2 ="JAPAN" if country=="Japan"	
replace country_2 ="LATVIA" if country=="Latvia"	
replace country_2 ="MEXICO" if country=="Mexico"	
replace country_2 ="NETHERLANDS" if country=="Netherlands"	
replace country_2 ="NEWFOUNDLAND" if country=="Newfoundland and Labrador"	
replace country_2 ="NORWAY" if country=="Norway"	
replace country_2 ="PANAMA" if country=="Panama"	
replace country_2 ="PERU" if country=="Peru"	
replace country_2 ="PHILIPPINES" if country=="Philippine Islands"	
replace country_2 ="PHILIPPINES" if country=="Phillippine Islands"	
replace country_2 ="POLAND AND DANZIG" if country=="Poland and Danzig"	
replace country_2 ="PORTUGAL" if country=="Portugal"	
replace country_2 ="PORTUGUESE AFRICA" if country=="Mozambique"	
replace country_2 ="PORTUGUESE AFRICA" if country=="Portuguese Africa"	
replace country_2 ="ROMANIA" if country=="Rumania"	
replace country_2 ="SIAM" if country=="Siam"	
replace country_2 ="SOUTH AFRICA" if country=="Union of South Africa"	
replace country_2 ="SOVIET UNION" if country=="Soviet Russia in Asia"	
replace country_2 ="SOVIET UNION" if country=="Soviet Russia in Europe"	
replace country_2 ="SPAIN" if country=="Canary Islands"	
replace country_2 ="SPAIN" if country=="Spain"	
replace country_2 ="SWEDEN" if country=="Sweden"	
replace country_2 ="SWITZERLAND" if country=="Switzerland"	
replace country_2 ="SYRIA" if country=="Syria"	
replace country_2 ="TURKEY" if country=="Turkey"	
replace country_2 ="TURKEY" if country=="Turkey (Asia and Europe)"	
replace country_2 ="TURKEY" if country=="Turkey in Europe"	
replace country_2 ="UNITED KINGDOM" if country=="United Kingdom"	
replace country_2 ="URUGUAY AND PARAGUAY" if country=="Uruguay"	
replace country_2 ="VENEZUELA AND GUIANA" if country=="Venezuela"	
replace country_2 ="VIRGIN ISLANDS" if country=="Virgin Islands of the United States"	


tab country if country_2=="drop"

* check - list should be this:
*							Africa 	
*	                        British Africa	
*	                  British South Africa	
*	                       Central America	
*	                                Europe	
*	                         French Africa	
*							 Guatemala	
*	                               Morocco	
*	                               Oceania	
*	                          Other Africa	
*	                  Other British Africa	
*	                 Other Central America	
*	                          Other Europe	
*	                   Other French Africa	
*	                   Other South America	
*	                     Other West Indies	
*	        Other West Indies and Bermudas	
*	        Other West Indies and bermudas	
*	                 Other central America	
*	                       Other countries	
*	                              Salvador	
*	                         South America	
*	                        Spanish Africa	
*	                                 Total	
*	               West Indies and Bermuda	
*	              West Indies and Bermudas	




replace code_2 ="AFG" if country_2=="IRAN IRAQ AND AFGHANISTAN"	
replace code_2 ="ARG" if country_2=="ARGENTINA"	
replace code_2 ="AUT" if country_2=="AUSTRIA"	
replace code_2 ="BEA" if country_2=="BRITISH EAST AFRICA"	
replace code_2 ="BEI" if country_2=="BRITISH EAST INDIES"	
replace code_2 ="BLX" if country_2=="BELGIUM AND LUXEMBURG"	
replace code_2 ="BOC" if country_2=="BRITISH OCEANIA"	
replace code_2 ="BOL" if country_2=="BOLIVIA"	
replace code_2 ="BRA" if country_2=="BRAZIL"	
replace code_2 ="BWA" if country_2=="BRITISH WEST AFRICA"	
replace code_2 ="BWI" if country_2=="BRITISH WEST INDIES"	
replace code_2 ="CAN" if country_2=="CANADA"	
replace code_2 ="CHE" if country_2=="SWITZERLAND"	
replace code_2 ="CHL" if country_2=="CHILE"	
replace code_2 ="CHN" if country_2=="CHINA"	
replace code_2 ="COL" if country_2=="COLOMBIA"	
replace code_2 ="CUB" if country_2=="CUBA"	
replace code_2 ="CZE" if country_2=="CZECHOSLOVAKIA"	
replace code_2 ="DEI" if country_2=="DUTCH EAST INDIES"	
replace code_2 ="DEU" if country_2=="GERMANY"	
replace code_2 ="DNK" if country_2=="DENMARK"	
replace code_2 ="DOM" if country_2=="DOMINICAN REPUBLIC"	
replace code_2 ="DWI" if country_2=="DUTCH WEST INDIES"	
replace code_2 ="ECU" if country_2=="ECUADOR"	
replace code_2 ="EGY" if country_2=="EGYPT"	
replace code_2 ="ESP" if country_2=="SPAIN"	
replace code_2 ="EST" if country_2=="ESTONIA"	
replace code_2 ="FEI" if country_2=="FRENCH EAST INDIES"	
replace code_2 ="FIN" if country_2=="FINLAND"	
replace code_2 ="FNA" if country_2=="FRENCH NORTH AFRICA"	
replace code_2 ="FRA" if country_2=="FRANCE"	
replace code_2 ="FWI" if country_2=="FRENCH WEST INDIES"	
replace code_2 ="GBR" if country_2=="UNITED KINGDOM"	
replace code_2 ="GRC" if country_2=="GREECE"	
replace code_2 ="HND" if country_2=="HONDURAS"	
replace code_2 ="HTI" if country_2=="HAITI"	
replace code_2 ="IND" if country_2=="INDIA"	
replace code_2 ="IRL" if country_2=="IRELAND"	
replace code_2 ="ITA" if country_2=="ITALY"	
replace code_2 ="JPN" if country_2=="JAPAN"	
replace code_2 ="LVA" if country_2=="LATVIA"	
replace code_2 ="MEX" if country_2=="MEXICO"	
replace code_2 ="NED" if country_2=="NETHERLANDS"	
replace code_2 ="NFD" if country_2=="NEWFOUNDLAND"	
replace code_2 ="NOR" if country_2=="NORWAY"	
replace code_2 ="PAF" if country_2=="PORTUGUESE AFRICA"	
replace code_2 ="PAN" if country_2=="PANAMA"	
replace code_2 ="PER" if country_2=="PERU"	
replace code_2 ="PHL" if country_2=="PHILIPPINES"	
replace code_2 ="POD" if country_2=="POLAND AND DANZIG"	
replace code_2 ="PRT" if country_2=="PORTUGAL"	
replace code_2 ="ROU" if country_2=="ROMANIA"	
replace code_2 ="SIA" if country_2=="SIAM"	
replace code_2 ="SOV" if country_2=="SOVIET UNION"	
replace code_2 ="SWE" if country_2=="SWEDEN"	
replace code_2 ="SYR" if country_2=="SYRIA"	
replace code_2 ="TUR" if country_2=="TURKEY"	
replace code_2 ="UPA" if country_2=="URUGUAY AND PARAGUAY"	
replace code_2 ="UVI" if country_2=="VIRGIN ISLANDS"	
replace code_2 ="VEG" if country_2=="VENEZUELA AND GUIANA"	
replace code_2 ="ZAF" if country_2=="SOUTH AFRICA"	

* drop countries that can't be allocated

drop if country_2=="drop"


* need to make sure that there is only one country observation per product_id

collapse (sum) export*, by(country_2 code_2 product_id product_name group subgroup)



*generate a unique country_product identifier

gen country_prod = code_2+string(product_id,"%02.0f")

tab country_prod


* re-shape the dataset to long format
reshape long export, i(country_prod) j(smdate) string
gen mdate = monthly(smdate, "MY") 
format mdate %tm 


sum smdate group subgroup product_id country_2 export mdate

* create a dummy variable that marks the errors
* need to xtset the data first to be able to use the date function

encode country_prod, gen(country_prod_id)
xtset country_prod_id mdate, monthly


gen error=0

replace error=1 if product_id==80	& mdate==tm(1928m7)
replace error=1 if product_id==70	& mdate==tm(1927m8)
replace error=1 if product_id==142	& mdate==tm(1927m9)
replace error=1 if product_id==94	& mdate==tm(1927m11)
replace error=1 if product_id==115	& mdate==tm(1928m7)
replace error=1 if product_id==6	& mdate==tm(1927m2)
replace error=1 if product_id==55	& mdate==tm(1929m6)
replace error=1 if product_id==46	& mdate==tm(1930m4)
replace error=1 if product_id==4	& mdate==tm(1930m4)
replace error=1 if product_id==109	& mdate==tm(1928m1)
replace error=1 if product_id==58	& mdate==tm(1929m3)
replace error=1 if product_id==103	& mdate==tm(1929m10)
replace error=1 if product_id==142	& mdate==tm(1927m11)
replace error=1 if product_id==88	& mdate==tm(1930m1)
replace error=1 if product_id==89	& mdate==tm(1926m11)
replace error=1 if product_id==49	& mdate==tm(1930m5)
replace error=1 if product_id==117	& mdate==tm(1927m12)
replace error=1 if product_id==82	& mdate==tm(1927m7)
replace error=1 if product_id==32	& mdate==tm(1930m5)
replace error=1 if product_id==82	& mdate==tm(1927m12)
replace error=1 if product_id==142	& mdate==tm(1926m7)
replace error=1 if product_id==11	& mdate==tm(1929m8)
replace error=1 if product_id==94	& mdate==tm(1928m4)
replace error=1 if product_id==58	& mdate==tm(1929m1)
replace error=1 if product_id==32	& mdate==tm(1927m9)
replace error=1 if product_id==142	& mdate==tm(1927m8)
replace error=1 if product_id==82	& mdate==tm(1928m9)
replace error=1 if product_id==100	& mdate==tm(1929m3)
replace error=1 if product_id==137	& mdate==tm(1929m2)
replace error=1 if product_id==3	& mdate==tm(1930m5)
replace error=1 if product_id==15	& mdate==tm(1927m9)
replace error=1 if product_id==29	& mdate==tm(1929m5)
replace error=1 if product_id==116	& mdate==tm(1927m9)
replace error=1 if product_id==10	& mdate==tm(1929m8)
replace error=1 if product_id==73	& mdate==tm(1927m8)
replace error=1 if product_id==137	& mdate==tm(1927m9)
replace error=1 if product_id==88	& mdate==tm(1929m1)
replace error=1 if product_id==30	& mdate==tm(1929m2)
replace error=1 if product_id==36	& mdate==tm(1930m4)
replace error=1 if product_id==121	& mdate==tm(1927m8)
replace error=1 if product_id==121	& mdate==tm(1928m2)
replace error=1 if product_id==111	& mdate==tm(1929m4)
replace error=1 if product_id==140	& mdate==tm(1927m2)
replace error=1 if product_id==36	& mdate==tm(1928m11)
replace error=1 if product_id==35	& mdate==tm(1928m3)
replace error=1 if product_id==120	& mdate==tm(1927m4)
replace error=1 if product_id==99	& mdate==tm(1930m3)
replace error=1 if product_id==120	& mdate==tm(1928m4)
replace error=1 if product_id==52	& mdate==tm(1928m1)
replace error=1 if product_id==42	& mdate==tm(1929m6)
replace error=1 if product_id==50	& mdate==tm(1927m7)
replace error=1 if product_id==52	& mdate==tm(1927m1)
replace error=1 if product_id==82	& mdate==tm(1928m6)
replace error=1 if product_id==107	& mdate==tm(1929m6)
replace error=1 if product_id==113	& mdate==tm(1927m5)
replace error=1 if product_id==127	& mdate==tm(1927m7)
replace error=1 if product_id==146	& mdate==tm(1930m3)
replace error=1 if product_id==82	& mdate==tm(1928m3)
replace error=1 if product_id==18	& mdate==tm(1927m12)
replace error=1 if product_id==82	& mdate==tm(1927m5)
replace error=1 if product_id==142	& mdate==tm(1927m7)
replace error=1 if product_id==137	& mdate==tm(1929m10)
replace error=1 if product_id==91	& mdate==tm(1926m11)
replace error=1 if product_id==33	& mdate==tm(1929m2)
replace error=1 if product_id==76	& mdate==tm(1929m7)
replace error=1 if product_id==98	& mdate==tm(1927m1)
replace error=1 if product_id==112	& mdate==tm(1929m9)
replace error=1 if product_id==41	& mdate==tm(1928m2)
replace error=1 if product_id==56	& mdate==tm(1929m10)
replace error=1 if product_id==94	& mdate==tm(1926m11)
replace error=1 if product_id==33	& mdate==tm(1929m3)
replace error=1 if product_id==33	& mdate==tm(1928m11)
replace error=1 if product_id==52	& mdate==tm(1926m9)
replace error=1 if product_id==108	& mdate==tm(1930m6)
replace error=1 if product_id==137	& mdate==tm(1928m7)
replace error=1 if product_id==43	& mdate==tm(1926m10)
replace error=1 if product_id==52	& mdate==tm(1928m7)
replace error=1 if product_id==14	& mdate==tm(1927m10)
replace error=1 if product_id==142	& mdate==tm(1929m1)
replace error=1 if product_id==26	& mdate==tm(1928m6)
replace error=1 if product_id==18	& mdate==tm(1929m10)
replace error=1 if product_id==137	& mdate==tm(1927m3)
replace error=1 if product_id==14	& mdate==tm(1929m6)
replace error=1 if product_id==14	& mdate==tm(1928m1)
replace error=1 if product_id==18	& mdate==tm(1926m8)
replace error=1 if product_id==29	& mdate==tm(1928m12)
replace error=1 if product_id==30	& mdate==tm(1927m12)
replace error=1 if product_id==89	& mdate==tm(1929m1)
replace error=1 if product_id==106	& mdate==tm(1929m9)
replace error=1 if product_id==133	& mdate==tm(1929m4)


tab error

* change data to quarterly to be able to merge with our other dataset

gen y_q = qofd(dofm(mdate))
format y_q %tq 

collapse (sum) export (max) error, by(y_q  country_prod group subgroup product_id product_name country_2 code_2 country_prod_id)


sum product_id  y_q export error


* rename export variable
rename export prod_export


sort y_q code_2 country_prod_id 

* save "ProductData_q.dta", replace


*** drop the product groups where we are not sure about the changes in product categories 

drop if product_id==2
drop if product_id==5
drop if product_id==18
drop if product_id==19
drop if product_id==20
drop if product_id==27
drop if product_id==48
drop if product_id==52
drop if product_id==55
drop if product_id==63
drop if product_id==65
drop if product_id==66
drop if product_id==67
drop if product_id==68
drop if product_id==69
drop if product_id==75
drop if product_id==80
drop if product_id==81
drop if product_id==82
drop if product_id==83
drop if product_id==85
drop if product_id==86
drop if product_id==91
drop if product_id==92
drop if product_id==93
drop if product_id==100
drop if product_id==104
drop if product_id==116
drop if product_id==121
drop if product_id==122
drop if product_id==123
drop if product_id==127
drop if product_id==131
drop if product_id==133
drop if product_id==134
drop if product_id==135
drop if product_id==136
drop if product_id==137
drop if product_id==138
drop if product_id==139
drop if product_id==146
drop if product_id==147
drop if product_id==148
drop if product_id==149
drop if product_id==150


** re-shape the subgroups

encode subgroup, gen(sub)
destring group, replace
replace group = group*100

egen group_subgroup=rowtotal(group sub)
drop sub
drop subgroup 

tab group_subgroup

** add subgroup names

gen subgroup_name=""
replace subgroup_name="Grains and Preperations" if group_subgroup==101
replace subgroup_name="Fodders and Feeds	" if group_subgroup==102
replace subgroup_name="Vegetables and preparations	" if group_subgroup==103
replace subgroup_name="Fruits and nuts	" if group_subgroup==104
replace subgroup_name="Vegetable oils and fats, edible	" if group_subgroup==105
replace subgroup_name="Cocoa and coffee	" if group_subgroup==106
replace subgroup_name="Spices and food flavors	" if group_subgroup==107
replace subgroup_name="Sugar and related products	" if group_subgroup==108
replace subgroup_name="Beverages	" if group_subgroup==109
replace subgroup_name="Rubber and manufactures	" if group_subgroup==201
replace subgroup_name="Naval stores, gums and resin	" if group_subgroup==202
replace subgroup_name="Drugs, herbs, leaves and roots, crude	" if group_subgroup==203
replace subgroup_name="Oilseeds	" if group_subgroup==204
replace subgroup_name="Vegetable oils	" if group_subgroup==205
replace subgroup_name="Dyeing and tanning materials	" if group_subgroup==206
replace subgroup_name="Seeds, except oilseed	" if group_subgroup==207
replace subgroup_name="Nursery and greenhouse stock	" if group_subgroup==208
replace subgroup_name="Tobacco and manufactures	" if group_subgroup==209
replace subgroup_name="Miscellaneous vegetable products	" if group_subgroup==210
replace subgroup_name="Cotton, unmanufactured	" if group_subgroup==301
replace subgroup_name="Cotton Semimanufactures	" if group_subgroup==302
replace subgroup_name="Cotton Manufactures	" if group_subgroup==303
replace subgroup_name="Jute Manufactues	" if group_subgroup==304
replace subgroup_name="Flax, Hemp and Ramie Manufactures	" if group_subgroup==305
replace subgroup_name="Other Vegetable Fiber Manufactures	" if group_subgroup==306
replace subgroup_name="Hats of straw or fiber and materials	" if group_subgroup==307
replace subgroup_name="Wool and Mohair, unmanufactured	" if group_subgroup==309
replace subgroup_name="Wool semimanufactures	" if group_subgroup==310
replace subgroup_name="Wool manufactures	" if group_subgroup==311
replace subgroup_name="Hair and manufactures	" if group_subgroup==312
replace subgroup_name="Silk manufactures	" if group_subgroup==313
replace subgroup_name="Artificial silk, rayon manufactures	" if group_subgroup==314
replace subgroup_name="Miscellaneous textile products	" if group_subgroup==315
replace subgroup_name="Wood unmanufactured	" if group_subgroup==401
replace subgroup_name="Wood semimanufactures, sawmill products	" if group_subgroup==402
replace subgroup_name="Wood manufactures	" if group_subgroup==403
replace subgroup_name="Cork manufactures	" if group_subgroup==404
replace subgroup_name="Paper base stocks	" if group_subgroup==405
replace subgroup_name="Paper and manufatcures	" if group_subgroup==406
replace subgroup_name="Coal and related fuels	" if group_subgroup==501
replace subgroup_name="Petroleum and products	" if group_subgroup==502
replace subgroup_name="Stone, sand, cement, and lime	" if group_subgroup==503
replace subgroup_name="Glass and glass products	" if group_subgroup==504
replace subgroup_name="Clay and clay products	" if group_subgroup==505
replace subgroup_name="Precious stones, including pearls	" if group_subgroup==506
replace subgroup_name="Other nonmetallic minerals	" if group_subgroup==507
replace subgroup_name="Iron ore	" if group_subgroup==601
replace subgroup_name="Iron and Steel semimanufactures	" if group_subgroup==602
replace subgroup_name="Steel-mill products - manufactures	" if group_subgroup==603
replace subgroup_name="Iron and steel advanced manufactures	" if group_subgroup==604
replace subgroup_name="Ferro-allow	" if group_subgroup==605
replace subgroup_name="Nonferrous metals, except precious	" if group_subgroup==606
replace subgroup_name="Precious metals, jewelry, and plated ware,no gold and silver" if group_subgroup==607
replace subgroup_name="Electrical machinery and apparatus	" if group_subgroup==701
replace subgroup_name="Industrial machinery	" if group_subgroup==702
replace subgroup_name="Office appliances	" if group_subgroup==703
replace subgroup_name="Printing and bookbinding Machinery	" if group_subgroup==704
replace subgroup_name="Agricultural machinery and implements	" if group_subgroup==705
replace subgroup_name="Automobiles and other vehicles	" if group_subgroup==706
replace subgroup_name="Coal-tar products	" if group_subgroup==801
replace subgroup_name="Medicinal and pharmaceutical preparations	" if group_subgroup==802
replace subgroup_name="Industrial chemical specialties	" if group_subgroup==803
replace subgroup_name="Industrial Chemicals/Pigments, paints and varnishes	" if group_subgroup==804
replace subgroup_name="Fertilizers and fertilizer materials	" if group_subgroup==805
replace subgroup_name="Explosives, fuses, etc.	" if group_subgroup==806
replace subgroup_name="Soaps and toilet preperations	" if group_subgroup==807
replace subgroup_name="Photographic and projection goods	" if group_subgroup==901
replace subgroup_name="Scientific and professional instruments, apparatus and supplies	" if group_subgroup==902
replace subgroup_name="Musical instruments	" if group_subgroup==903
replace subgroup_name="Miscellanous office supplies	" if group_subgroup==904
replace subgroup_name="Toys, athletic and sporting goods	" if group_subgroup==905
replace subgroup_name="Firearms, revolvers and pistols	" if group_subgroup==906
replace subgroup_name="Books, maps, pictures and other printed matter	" if group_subgroup==907
replace subgroup_name="Clocks and watches	" if group_subgroup==908
replace subgroup_name="Art works - painting and statutary	" if group_subgroup==909
replace subgroup_name="Miscellaneous, n.e.s.	" if group_subgroup==910
replace subgroup_name="Animals, edible	" if group_subgroup==1001
replace subgroup_name="Meat products	" if group_subgroup==1002
replace subgroup_name="Animal Oils and Fats, edible	" if group_subgroup==1003
replace subgroup_name="Dairy Products	" if group_subgroup==1004
replace subgroup_name="Fish	" if group_subgroup==1005
replace subgroup_name="Other Edible Animal Products	" if group_subgroup==1006
replace subgroup_name="Hides and Skins, Raw, except furs	" if group_subgroup==1101
replace subgroup_name="Leather	" if group_subgroup==1102
replace subgroup_name="Leather Manufactures	" if group_subgroup==1103
replace subgroup_name="Furs and Manufactures	" if group_subgroup==1104
replace subgroup_name="Animal Oils and Grease, inedible	" if group_subgroup==1105
replace subgroup_name="Other inedible animals and animal products	" if group_subgroup==1106






sort y_q code_2
 

 merge m:m y_q code_2 using  "Main_q.dta"

 tab _merge
 drop if _merge==2
 
 drop _merge
 
 
 
 
 
 
* generate 1928 average product shares


sort y_q country_prod_id 
by y_q country_prod_id: gen product_share = prod_export/exports_1


sum product_share

tab country_prod_id if product_share>=1


replace error=1 if product_share>=1

preserve 

collapse (mean) product_share, by(country_prod_id year) 

rename product_share product_share_1928
keep if year==1928
drop year

 save "ProductShare1928.dta", replace

restore

 
 
 
 *** now merge the product shares back into the main dataset
  merge m:m country_prod_id using "ProductShare1928.dta"

  tab _merge
  drop _merge
 
 * save "ProductData_q_merged.dta", replace
  
  
  
  sum prod_export error exports_1 exports_2 exportsGFD_2 sov1938_2 pair
  
  
 *** expand dummy variables
 
*** good-country is already recorded in country_prod_id 
egen good_time=group(product_id y_q)
egen country_time=group(pair y_q)



  
  
  ***  code to identify the main product per trade partner to isolate the effects
  
  
  *** start with 1928 aggregates
  *** generates variable id1928 which lists the top US exports to country i in 1928 in rank order
  *** generates variable top101928 which is 1 if product is in top 10 US exports to country 1 in 1928, 0 otherwise
  
sort y_q country_prod_id 

preserve 

collapse (sum) prod_export, by(country_prod_id year) 

rename prod_export prod_export_1928
keep if year==1928
drop year





 save "ProductExport1928.dta", replace

restore



  *** merge these back into the main dataset
  
   merge m:m country_prod_id using "ProductExport1928.dta"

  tab _merge
  drop _merge
 
 
 
  save Product_export.dta, replace
 

 *** now generate the ID variables
 
* preserve 
 
 keep if year==1928

 
collapse (sum) prod_export, by(country_prod_id product_name code_2) 


 
 
gen prod_export_sort=-prod_export





sort code_2 prod_export_sort, stable


save Kirsten_3.dta, replace
 
 clear all
 
 use Kirsten_3.dta



by code_2: gen id1928=_n



 
 

gen top101928=0
replace top101928=1 if id1928<11 & id1928>0

gen top51928=0
replace top51928=1 if id1928<6 & id1928>0

gen top31928=0
replace top31928=1 if id1928<4 & id1928>0


 
 save "TopExports1928.dta", replace


 clear all
 use Product_export.dta
  
  
  
 
 
 
*** merge these back into dataset

   merge m:m country_prod_id using "TopExports1928.dta"

  tab _merge
  drop _merge
 


** fill in missing zeros
 
replace id1928=0 if  id1928>=.
replace top101928=0 if top101928>=.

replace top51928=0 if top51928>=.

replace top31928=0 if top31928>=.


 drop prod_export_sort

 
 
* collapse product groups

tab group_subgroup
 
preserve


collapse  exports_1 exports_2 exportsGFD_1 exportsGFD_2  (sum) prod_export prod_export_1928  (max) error, by (group_subgroup subgroup_name group  y_q  year quarter retaliator protestor responder nonresponder country_2 code_2) 

tab group_subgroup
 

save "ProductData_subgroups.dta", replace

restore

  
  
  *** extract the top 10 exports for retaliators
  
  preserve
  
  keep product_id product_name country_2 code_2 retaliator id1928 top101928 prod_export_1928 
  
save "ProductData_Summary.dta", replace
  
 
  
  
 collapse (mean)  prod_export_1928 top101928  retaliator (firstnm) product_name  country_2, by (product_id id1928 code_2)
  
  drop if top101928==0
  
drop if retaliator==0

 export excel using "Top10Products_Retaliators.xlsx", replace
 
 sum product_id code_2 id1928 prod_export_1928 top101928 retaliator

  
  restore


 
 
 
 **** start product level regressions
 
 
  
  
xtset country_prod_id y_q



gen retaliator28top = retaliator*top101928


gen threatener28top = threatener*top101928


gen responder28top = responder*top101928

gen nonresponder28top = nonresponder*top101928




gen threatener28 = threatener*product_share_1928


gen retaliator28 = retaliator*product_share_1928


gen protestor28 = protestor*product_share_1928


gen responder28 = responder*product_share_1928


gen nonresponder28 = nonresponder*product_share_1928




drop if error==1



*** baseline with top1028  - generates the results for Table 6 Panel A

ppmlhdfe prod_export    retaliator28top threatener28top, absorb(good_time country_time country_prod_id) vce(cluster country_prod_id)

outreg2 using "1928KWtop",   word replace

ppmlhdfe prod_export    responder28top, absorb(good_time country_time country_prod_id) vce(cluster country_prod_id)

outreg2 using "1928KWtop",   word append







*** check for effect on autos

gen auto=0
replace auto=1 if  group_subgroup==706



* repeat top 10 regressions with additional auto dummy - Table 6 Panel B
 

 
 ***  diff and diff on shift share
 
 gen retaliator28top_auto =retaliator28top*auto
 gen threatener28top_auto = threatener28top*auto
 gen responder28top_auto=responder28top*auto
 
 
 
ppmlhdfe prod_export    retaliator28top threatener28top retaliator28top_auto threatener28top_auto, absorb(good_time country_time country_prod_id) vce(cluster country_prod_id)

outreg2 using "1928KW_autoDIFF.txt",  word addstat(Pseudo R-squared, `e(r2_p)')   replace

ppmlhdfe prod_export   responder28top responder28top_auto, absorb(good_time country_time country_prod_id) vce(cluster country_prod_id)

outreg2 using "1928KW_autoDIFF.txt", word  addstat(Pseudo R-squared, `e(r2_p)') append
 
 
* drop retaliator28top_auto threatener28top_auto responder28top_auto auto threatener28 retaliator28 protestor28 responder28 nonresponder28 retaliator28top  threatener28top responder28top nonresponder28top 
 

